List active services
curl --request GET \
--url https://jaliprohmis.derrickmugabwa.dev/api/v1/services \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://jaliprohmis.derrickmugabwa.dev/api/v1/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://jaliprohmis.derrickmugabwa.dev/api/v1/services"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 123,
"department_id": 123,
"account_head_id": 123,
"service_section_id": 123,
"name": "<string>",
"code": "<string>",
"is_clinical": true,
"is_consultation": true,
"supports_outpatient": true,
"supports_inpatient": true,
"base_price": "<string>",
"generates_queue": true,
"queue_type": "<string>",
"requires_sample_collection": true,
"sample_type": "<string>",
"tube_type": "<string>",
"account_head": {},
"service_section": {}
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 123,
"last_page": 123,
"per_page": 123,
"total": 123,
"from": 123,
"to": 123
}
}{
"message": "Unauthenticated."
}{
"message": "Unauthenticated."
}Foundation and integrations
List active services
List active HMIS services and billing context.
GET
/
services
List active services
curl --request GET \
--url https://jaliprohmis.derrickmugabwa.dev/api/v1/services \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://jaliprohmis.derrickmugabwa.dev/api/v1/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://jaliprohmis.derrickmugabwa.dev/api/v1/services"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 123,
"department_id": 123,
"account_head_id": 123,
"service_section_id": 123,
"name": "<string>",
"code": "<string>",
"is_clinical": true,
"is_consultation": true,
"supports_outpatient": true,
"supports_inpatient": true,
"base_price": "<string>",
"generates_queue": true,
"queue_type": "<string>",
"requires_sample_collection": true,
"sample_type": "<string>",
"tube_type": "<string>",
"account_head": {},
"service_section": {}
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 123,
"last_page": 123,
"per_page": 123,
"total": 123,
"from": 123,
"to": 123
}
}{
"message": "Unauthenticated."
}{
"message": "Unauthenticated."
}Returns a paginated service collection. The default page size is 50.
Authorizations
Paste a Sanctum personal access token generated by a HMIS super administrator. Use only a token with the ability required by the selected operation.
Query Parameters
Required range:
x >= 1